Security Enhanced Linux Reference Policy

# Layer: apps

## Module: mono

Interfaces Templates

### Description:

Run .NET server and client applications on Linux.

### Interfaces:

mono_domtrans( domain )

##### Summary

Execute mono in the mono domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mono_exec( domain )

##### Summary

Execute mono in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mono_run( domain , role )

##### Summary

Execute mono in the mono domain, and allow the specified role the mono domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

mono_rw_shm( domain )

##### Summary

Read and write mono shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

mono_role_template( role_prefix , user_role , user_domain )

##### Summary

The role template for the mono module.

##### Description

This template creates a derived domains which are used for mono applications.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
user_role | The role associated with the user domain.
user_domain | The type of the user domain.

Return